Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065991 - W3C validator: Use of custom attributes for portal navigation portlets.
Summary: W3C validator: Use of custom attributes for portal navigation portlets.
Keywords:
Status: VERIFIED
Alias: None
Product: JBoss Enterprise Portal Platform 6
Classification: JBoss
Component: Portal
Version: 6.1.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ER01
: 6.2.0
Assignee: Lucas Ponce
QA Contact: Tomas Kyjovsky
URL:
Whiteboard:
Depends On:
Blocks: 1050065
TreeView+ depends on / blocked
 
Reported: 2014-02-17 13:12 UTC by Lucas Ponce
Modified: 2014-07-30 01:54 UTC (History)
3 users (show)

Doc Type: Bug Fix
Doc Text:
JBoss Portal produced XHTML-type documents, some of which implemented custom attributes that were valid for browsers but non-compliant with W3C specifications. The custom attributes are fixed by applying compliance work-arounds in the XHTML mark-up. JBoss Portal now renders custom attributes according to W3C XHTML validation rules.
Clone Of:
Environment:
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-3406 Major Resolved Avoid the use of custom attributes for portal navigation portlets. 2015-07-31 20:02:21 UTC

Description Lucas Ponce 2014-02-17 13:12:50 UTC
Description of problem:

JBoss Portal 6.1.0 produces XHTML 1.0 Strict type documents.

For a w3c validation, standard html elements can not contain custom attributes.

There are several custom attributes like "exo:getNodeURL", "exo:minWidth", "exo:minHeight" used creating non compliant markup.

Version-Release number of selected component (if applicable):

6.1.0

How reproducible:

Always

Steps to Reproduce:
1. Login into Portal.
2. Review source code generated.
3. Validate with http://validator.w3.org/ tool.

Actual results:

Portal logged pages use these custom attributes not compliant with XHTML 1.0 Strict type document spec.

Expected results:

Portal pages without use of custom attributes making pass a w3c validation test.

Additional info:

Comment 2 Peter Palaga 2014-03-21 15:02:09 UTC
https://github.com/gatein/gatein-portal/pull/803 was merged in upstream.

Comment 3 Tomas Kyjovsky 2014-05-26 16:11:05 UTC
Checked sources of several pages manually. There are no custom exo:* attributes. W3c validation script passed. Tested with 6.2.0.ER2.


Note You need to log in before you can comment on or make changes to this bug.